Main Page | Modules | Namespace List | Class Hierarchy | Alphabetical List | Class List | File List | Namespace Members | Class Members | Related Pages | Search for

# eoFunctorStore Class Reference

eoFunctorStore is a class that stores functors that are allocated on the heap. More...

`#include <eoFunctorStore.h>`

Inheritance diagram for eoFunctorStore:

List of all members.

## Public Member Functions
| eoFunctorStore ()
| Default Ctor.
virtual | ~eoFunctorStore ()
| clears the memory
template<class Functor>
Functor & | storeFunctor (Functor *r)
| Add an eoFunctorBase to the store.
## Private Member Functions
| eoFunctorStore (const eoFunctorStore &)
| no copying allowed
eoFunctorStore | operator= (const eoFunctorStore &)
| no copying allowed
## Private Attributes
std::vector< eoFunctorBase * > | vec

## Detailed Description

eoFunctorStore is a class that stores functors that are allocated on the heap.

This class can be used in factories to store allocated memory for dynamically created functors.

Definition at line 39 of file eoFunctorStore.h.

The documentation for this class was generated from the following files:

- eoFunctorStore.h
- eoFunctorStore.cpp